net.corda.core.messaging

## Interface RPCOps

- All Known Subinterfaces:
    CordaRPCOps
  All Known Implementing Classes:
    CordaRPCOpsImpl

      public RPCOps

  Base interface that all RPC servers must implement. Note: in Corda there's only one RPC interface. This base interface is here in case we split the RPC system out into a separate library one day.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getProtocolVersion()` Returns the RPC protocol version. Exists since version 0 so guaranteed to be present.

- - ### Method Detail

    - #### getProtocolVersion

          int getProtocolVersion()

      Returns the RPC protocol version. Exists since version 0 so guaranteed to be present.